<?php

/**
 * Shortcode callbacks which will return information about the client
 */

namespace Otys\OtysPlugin\Shortcodes;

use Otys\OtysPlugin\Includes\Core\Shortcodes;
use Otys\OtysPlugin\Includes\OtysApi\OtysApi;

class ClientShortcodes extends ShortcodesBase
{
    public function __construct()
    {
        Shortcodes::add('otys-image-url', $this, 'getImageUrl');
    }

    /**
     * Gets yourit image url
     *
     * @return string
     */
    public static function getImageUrl(): string
    {
        $otysApi = new otysApi();

        return 'https://www.yourit.nl/' . $otysApi->getClientCode() . '/_images_upload/';
    }
}
