<?php
$currentAnswer = intval(get_option($args['option_name'], 1));
?>

<fieldset>
    <legend class="screen-reader-text">
        <span><?php _e('Match criteria', 'otys-jobs-apply') ?></span>
    </legend>
    <?php
    if (!empty($args['options'])) :
        foreach ($args['options'] as $key => $option) :
            ?>
            <label>
                <input type="checkbox" value="<?php echo esc_html($key) ?>" name="<?php echo esc_html($args['option_name']) ?>[]" <?php echo ($currentAnswer === $key) ? 'checked' : '' ?> />

                <?php echo esc_html($option) ?>
            </label><br>
            <?php
        endforeach;
    endif;
    ?>
</fieldset>