<?php

namespace Otys\OtysPlugin\Controllers\Admin;

use Otys\OtysPlugin\Includes\Core\Logs;

class AdminLogsController extends AdminBaseController
{
    public static function onInit()
    {
        if (isset($_GET['action']) && $_GET['action'] == 'delete_all') {
            Logs::deleteLogs();

            wp_redirect(admin_url('admin.php?page=otys_logs'));
            exit;
        
        }
    }

    public function __construct()
    {
        parent::__construct();
    }

    public function index()
    {        
        $logs = Logs::getList();

        $this->parseArgs('logs', $logs);
    }
}
