<?php

namespace Otys\OtysPlugin\Includes\OtysApi;

class Webhooks extends OtysApiBase
{
    public function getList()
    {
        $request = [
            "jsonrpc" => "2.0",
            "method" => "Otys.Services.WebhooksService.getList",
            "params" => [
                $this->otysApi->session
            ],
            "id" => 1
        ];

        $webhookList = $this->post($request, false, false);

        if ($webhookList && ($result = $webhookList)) {
            return $result;
        }

        return [];
    }

    public function getLogs()
    {
        $request = [
            "jsonrpc" => "2.0",
            "method" => "Otys.Services.WebhooksService.getLogs",
            "params" => [
                $this->otysApi->session,
                "20"
            ],
            "id" => 1
        ];

        $webhookLogs = $this->post($request, false, false);

        if ($webhookLogs && ($result = $webhookLogs)) {
            return $result;
        }

        return [];
    }
}
